Page MenuHomePhabricator

Add Python 3 support to clang.cindex
ClosedPublic

Authored by jbcoe on Apr 1 2017, 5:01 AM.

Details

Summary

Introduce an interop string to convert from unicode to c-strings where needed.
Add missing conversions from _CXString to strings in function registrations.
Explicitly evaluate lists where Python 3's lazy iterators would not otherwise do so.

This is an improvement upon the reverted change proposed in https://reviews.llvm.org/D26082

Diff Detail

Repository
rL LLVM

Event Timeline

jbcoe created this revision.Apr 1 2017, 5:01 AM
jbcoe updated this revision to Diff 94120.Apr 4 2017, 2:11 PM
jbcoe added a reviewer: modocache.

Remove a couple of unnecessary type conversions.

compnerd accepted this revision.Apr 19 2017, 6:16 PM

I think it would've been nice to split this up into the changes for map/filter rather than group it together. But sure, this looks reasonable.

This revision is now accepted and ready to land.Apr 19 2017, 6:16 PM
This revision was automatically updated to reflect the committed changes.